Bug 77701 - Copy color under pointer
Summary: Copy color under pointer
Status: RESOLVED FIXED
Alias: None
Product: kruler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Mathias Soeken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-15 19:57 UTC by Sebastien
Modified: 2009-01-10 14:15 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastien 2004-03-15 19:57:31 UTC
Version:            (using KDE KDE 3.2.0)

KRuler can display the color of the pixel under the small square of the pointer.
It's cool !
I would want to be able to copy this color [to selection OR/AND to clipboard] and then past it in my CSS :-)

I think a click or a Ctrl+C (be careful of the actual "Choose color") is the better choice.
Comment 1 Sashmit Bhaduri 2004-03-16 02:17:07 UTC
are you sure that kruler would be the best app for that? perhaps try kcolorchooser
Comment 2 Sebastien 2004-03-16 07:28:47 UTC
Yes I know it isn't the work of a rule.
But, KRuler already provide screen color. So, what's expected with this behaviour is, at least, to copy it, isn't it ?
And even if it isn't a rule work, it's a small enhancment that is welcome (a little more poreful : great :-) ) and don't do harm at all. It's cool to be able to don't start 50 applications for small things, IMHO...
Comment 3 Ferenc Veres 2004-08-11 12:38:02 UTC
I agree!

(This is the request I wanted to submit before I did the search for existing ones. So count my VOTE on it!)

There could be a simple way to use the color I select on the screen, I use KRULER a lot for measuring and color picking while doing web jobs. Copy the color will be important and cool!

Thanks!
Comment 4 Mathias Soeken 2009-01-10 14:15:30 UTC
SVN commit 908771 by msoeken:

Copy color under cursor with Ctrl+C (standard Copy shortcut)

Before this Ctrl+C was a shortcut for choosing color, but I think that setting color and font will go to 
a configuration dialog in near future, because those are options, which will not be changed very often, 
so they have not to stay in the context menu.

BUGS: 77701


 M  +14 -4     klineal.cpp  
 M  +1 -0      klineal.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=908771